﻿
var myUngroupedData = new WinJS.Binding.List([
        { title: "1", text: "One" },
        { title: "2", text: "Two" },
        { title: "3", text: "Three" },
        { title: "4", text: "Four" },
        { title: "5", text: "Five" },
        { title: "6", text: "Six" },
        { title: "7", text: "Seven" },
        { title: "8", text: "Eight" },
        { title: "9", text: "Nine" },
]);

// Sorts the groups
function compareGroups(leftKey, rightKey) {
    return leftKey.charCodeAt(0) - rightKey.charCodeAt(0);
}

// Returns the group key that an item belongs to
function getGroupKey(dataItem) {
    return dataItem.text.toUpperCase().charAt(0);
}

// Returns the title for a group
function getGroupData(dataItem) {
    return {
        title: dataItem.text.toUpperCase().charAt(0)
    };
}


var myData = myUngroupedData.createGrouped(getGroupKey, getGroupData, compareGroups);