﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());

            document.getElementById("sendUpdate").addEventListener("click", sendUpdate, false);
        }
    };

    function sendUpdate() {

        var notifications = Windows.UI.Notifications;

        var template = notifications.TileTemplateType.tileWide310x150ImageAndText01;
        var tileXml = notifications.TileUpdateManager.getTemplateContent(template);

        var tileTextAttributes = tileXml.getElementsByTagName("text");
        tileTextAttributes[0].appendChild(tileXml.createTextNode("Hello World! My very own tile notification"));

        var tileImageAttributes = tileXml.getElementsByTagName("image");
        tileImageAttributes[0].setAttribute("src", "ms-appx:///images/redWide.png");
        tileImageAttributes[0].setAttribute("alt", "red graphic");

        var currentTime = new Date();
        var startTime = new Date(currentTime.getTime() + 3 * 1000);
        var scheduledTile = new Windows.UI.Notifications.ScheduledTileNotification(tileXml, startTime);
        scheduledTile.id = "Future_Tile";
        var tileUpdater = Windows.UI.Notifications.TileUpdateManager.createTileUpdaterForApplication();
        tileUpdater.addToSchedule(scheduledTile);

    }


    //function sendUpdate() {
    //    var notifications = Windows.UI.Notifications;

    //    var template = notifications.TileTemplateType.tileWide310x150ImageAndText01;
    //    var tileXml = notifications.TileUpdateManager.getTemplateContent(template);

    //    var tileTextAttributes = tileXml.getElementsByTagName("text");
    //    tileTextAttributes[0].appendChild(tileXml.createTextNode("Hello World! My very own tile notification"));

    //    var tileImageAttributes = tileXml.getElementsByTagName("image");
    //    tileImageAttributes[0].setAttribute("src", "ms-appx:///images/redWide.png");
    //    tileImageAttributes[0].setAttribute("alt", "red graphic");

    //    var squareTemplate = notifications.TileTemplateType.tileSquare150x150Text04;
    //    var squareTileXml = notifications.TileUpdateManager.getTemplateContent(squareTemplate);
    //    var squareTileTextAttributes = squareTileXml.getElementsByTagName("text");
    //    squareTileTextAttributes[0].appendChild(squareTileXml.createTextNode("Hello World! My very own tile notification"));

    //    var node = tileXml.importNode(squareTileXml.getElementsByTagName("binding").item(0), true);
    //    tileXml.getElementsByTagName("visual").item(0).appendChild(node);

    //    var tileNotification = new notifications.TileNotification(tileXml);

    //    var currentTime = new Date();
    //    tileNotification.expirationTime = new Date(currentTime.getTime() + 600 * 1000);

    //    notifications.TileUpdateManager.createTileUpdaterForApplication().update(tileNotification);

    //    var badgeType = notifications.BadgeTemplateType.badgeGlyph;

    //    var badgeXml = notifications.BadgeUpdateManager.getTemplateContent(badgeType);
    //    var badgeAttributes = badgeXml.getElementsByTagName("badge");
    //    badgeAttributes[0].setAttribute("value", "newMessage");

    //    var badgeNotification = new notifications.BadgeNotification(badgeXml);
    //    notifications.BadgeUpdateManager.createBadgeUpdaterForApplication().update(badgeNotification);
    //}

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
